<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE hibernate-mapping PUBLIC
    "-//Hibernate/Hibernate Mapping DTD 2.0//EN" 
    "http://hibernate.sourceforge.net/hibernate-mapping-2.0.dtd">

<hibernate-mapping
        auto-import="false"
>
    <class
        name="magoffin.matt.ieat.domain.impl.MealImpl"
        table="Meal"
    >
        <cache usage="read-write" />

        <id
            name="mealId"
            column="mealId"
            type="java.lang.Integer"
            unsaved-value="null"
        >
            <generator class="native">
                <param name="sequence">meal_id_seq</param>
              <!--  
                  To add non XDoclet generator parameters, create a file named 
                  hibernate-generator-params-MealImpl.xml 
                  containing the additional parameters and place it in your merge dir. 
              --> 
            </generator>
        </id>

        <many-to-one
            name="owner"
            class="magoffin.matt.ieat.domain.impl.UserImpl"
            cascade="none"
            outer-join="auto"
            update="true"
            insert="true"
            column="owner"
        />

        <property
            name="name"
            type="java.lang.String"
            update="true"
            insert="true"
            column="name"
            length="128"
            not-null="true"
        />

        <list
            name="recipeInternal"
            table="Meal_RecipeInternal"
            lazy="false"
            cascade="all-delete-orphan"
            where="RecipeInternal_index is not null"
        >

            <key
                column="MealImpl_id"
            >
            </key>

            <index
                column="RecipeInternal_index"
            />

            <one-to-many
                  class="magoffin.matt.ieat.domain.impl.MealRecipeImpl"
            />

        </list>

        <!--
            To add non XDoclet property mappings, create a file named
                hibernate-properties-MealImpl.xml
            containing the additional properties and place it in your merge dir.
        -->

    </class>

</hibernate-mapping>
